/**
 * DevExtreme (esm/renovation/ui/scroll_view/utils/get_device_pixel_ratio.js)
 * Version: 23.1.10 (build 24147-0109)
 * Build date: Sun May 26 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    getWindow,
    hasWindow
} from "../../../../core/utils/window";
export function getDevicePixelRatio() {
    return hasWindow() ? getWindow().devicePixelRatio : 1
}
