/**
 * DevExtreme (cjs/renovation/utils/shallow_equals.js)
 * Version: 23.1.10 (build 24147-0109)
 * Build date: Sun May 26 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.shallowEquals = void 0;
var shallowEquals = function(firstObject, secondObject) {
    if (Object.keys(firstObject).length !== Object.keys(secondObject).length) {
        return false
    }
    return Object.keys(firstObject).every((function(key) {
        return firstObject[key] === secondObject[key]
    }))
};
exports.shallowEquals = shallowEquals;
